wibble::tests::TestContains Struct Reference

`#include <tests.h>`

## Public Member Functions

| TestContains (const std::string &actual, const std::string &expected, bool inverted=false)
TestContains | operator! ()
void | check (WIBBLE_TEST_LOCPRM) const

## Public Attributes

std::string | actual
std::string | expected
bool | inverted

## Constructor & Destructor Documentation

## TestContains()

wibble::tests::TestContains::TestContains | ( | const std::string & | actual,
|  | const std::string & | expected,
|  | bool | inverted = `false`
| ) |  |

inline

## Member Function Documentation

## check()

void wibble::tests::TestContains::check | ( | WIBBLE_TEST_LOCPRM |  | ) | const

References wibble::tests::actual(), and wibble::tests::Location::fail_test().

## operator!()

TestContains wibble::tests::TestContains::operator! | ( |  | ) |

inline

References WIBBLE_TEST_LOCPRM.

## Member Data Documentation

## actual

std::string wibble::tests::TestContains::actual

## expected

std::string wibble::tests::TestContains::expected

## inverted

bool wibble::tests::TestContains::inverted

The documentation for this struct was generated from the following files:

- tests.h
- tests.cpp